## python-osc-lib 2.2.1

=== debian/changelog ===
python-osc-lib (2.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch file.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 12:05:28 +0200

python-osc-lib (2.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 12:09:19 +0200

python-osc-lib (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 16:12:30 +0200

python-osc-lib (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:14:00 +0200

python-osc-lib (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:40:07 +0200

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff (>= 3.2.0),
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1 (>= 3.14.0),
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-testr,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-requests-mock,
 python3-simplejson,
 python3-sphinxcontrib.apidoc,
 python3-stevedore,
 python3-testtools,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-osc-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-osc-lib.git
Homepage: http://docs.openstack.org/developer/osc-lib

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

Package: python3-osc-lib
Architecture: all
Depends:
 python3-cliff (>= 3.2.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-openstacksdk,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-simplejson,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/osc-lib/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-osc-lib 2.3.1

=== debian/changelog ===
python-osc-lib (2.3.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 21 Jan 2021 16:18:29 +0000

python-osc-lib (2.3.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:05:11 +0000

python-osc-lib (2.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 13:47:12 +0000

python-osc-lib (2.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:56:51 -0400

python-osc-lib (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:03:15 +0000

python-osc-lib (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:44:32 -0400

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 3.1.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.15.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests-mock (>= 1.1.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osc-lib
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osc-lib
Homepage: http://docs.openstack.org/developer/osc-lib
Testsuite: autopkgtest-pkg-python

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

Package: python3-osc-lib
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 3.1.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-openstacksdk (>= 0.15.0),
 python3-os-client-config (>= 1.28.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

## python-osc-lib 2.4.2

=== debian/changelog ===
python-osc-lib (2.4.2-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 20:23:00 +0000

python-osc-lib (2.4.2-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:39:12 -0400

python-osc-lib (2.4.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:39:19 -0400

## python-osc-lib 2.5.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html pdf dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text changes linkcheck doctest

help:
    @echo "Please use \`make <target>' where <target> is one of"
    @echo "  html       to make standalone HTML files"
    @echo "  pdf        to make pdf with rst2pdf"
    @echo "  dirhtml    to make HTML files named index.html in directories"
    @echo "  singlehtml to make a single large HTML file"
    @echo "  pickle     to make pickle files"
    @echo "  json       to make JSON files"
    @echo "  htmlhelp   to make HTML files and a HTML help project"
    @echo "  qthelp     to make HTML files and a qthelp project"
    @echo "  devhelp    to make HTML files and a Devhelp project"
    @echo "  epub       to make an epub"
    @echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
    @echo "  latexpdf   to make LaTeX files and run them through pdflatex"
    @echo "  text       to make text files"
    @echo "  changes    to make an overview of all changed/added/deprecated items"
    @echo "  linkcheck  to check all external links for integrity"
    @echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
    -rm -rf $(BUILDDIR)/*

html:
    $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
    @echo
    @echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

pdf:
    $(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) $(BUILDDIR)/pdf
    @echo
    @echo "Build finished. The PDFs are in $(BUILDDIR)/pdf."

dirhtml:
    $(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
    @echo
    @echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
    $(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
    @echo
    @echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
    $(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
    @echo
    @echo "Build finished; now you can process the pickle files."

json:
    $(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
    @echo
    @echo "Build finished; now you can process the JSON files."

htmlhelp:
    $(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
    @echo
    @echo "Build finished; now you can run HTML Help Workshop with the" \
          ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
    $(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
    @echo
    @echo "Build finished; now you can run "qcollectiongenerator" with the" \
          ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
    @echo "# qcollectiongenerator $(BUILDDIR)/qthelp/NebulaDocs.qhcp"
    @echo "To view the help file:"
    @echo "# assistant -collectionFile $(BUILDDIR)/qthelp/NebulaDocs.qhc"

devhelp:
    $(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
    @echo
    @echo "Build finished."
    @echo "To view the help file:"
    @echo "# mkdir -p $$HOME/.local/share/devhelp/NebulaDocs"
    @echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/NebulaDocs"
    @echo "# devhelp"

epub:
    $(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
    @echo
    @echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
    $(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
    @echo
    @echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
    @echo "Run \`make' in that directory to run these through (pdf)latex" \
          "(use \`make latexpdf' here to do that automatically)."

latexpdf:
    $(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
    @echo "Running LaTeX files through pdflatex..."
    make -C $(BUILDDIR)/latex all-pdf
    @echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
    $(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
    @echo
    @echo "Build finished. The text files are in $(BUILDDIR)/text."

changes:
    $(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
    @echo
    @echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
    $(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
    @echo
    @echo "Link check complete; look for any errors in the above output " \
          "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
    $(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
    @echo "Testing of doctests in the sources finished, look at the " \
          "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-osc-lib (2.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/p/fix-taghelps-py310.patch: Cherry-picked from upstream to
    fix failing test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 14:43:27 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-babel (>= 2.3.4),
- python3-cliff (>= 3.1.0),
+ python3-cliff (>= 3.2.0),
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
  python3-keystoneauth1 (>= 3.14.0),
@@ -57,7 +57,7 @@
 Architecture: all
 Depends:
  python3-babel (>= 2.3.4),
- python3-cliff (>= 3.1.0),
+ python3-cliff (>= 3.2.0),
  python3-keystoneauth1 (>= 3.14.0),
  python3-openstacksdk (>= 0.15.0),
  python3-os-client-config (>= 1.28.0),

## python-osc-lib 2.6.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

cliff>=3.2.0 # Apache-2.0
keystoneauth1>=3.14.0 # Apache-2.0
openstacksdk>=0.15.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
simplejson>=3.5.1 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-osc-lib (2.6.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 11:44:50 +0200

python-osc-lib (2.6.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed Fix_TestTagHelps_for_python3.10.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 09:52:25 +0200

python-osc-lib (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 13:58:55 +0100

python-osc-lib (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 23:51:10 +0100

python-osc-lib (2.4.2-4) unstable; urgency=medium

  * Remove the blacklist from previous patch, and add upstream patch for
    Python 3.10 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 21:22:55 +0100

python-osc-lib (2.4.2-3) unstable; urgency=medium

  * Blacklist failing broken tests (Closes: #1002438):
    - test_add_tag_filtering_option_to_parser()
    - test_add_tag_option_to_parser_for_create()
    - test_add_tag_option_to_parser_for_set()
    - test_add_tag_option_to_parser_for_unset()

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 16:06:53 +0100

python-osc-lib (2.4.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:26:36 +0200

python-osc-lib (2.4.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Aug 2021 11:58:58 +0200

python-osc-lib (2.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:25:07 +0200

python-osc-lib (2.3.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:31:08 +0200

python-osc-lib (2.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 12:06:49 +0100

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-stestr,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-requests-mock,
 python3-simplejson,
 python3-sphinxcontrib.apidoc,
 python3-stevedore,
 python3-testtools,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-osc-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-osc-lib.git
Homepage: http://docs.openstack.org/developer/osc-lib

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

Package: python3-osc-lib
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-openstacksdk,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-simplejson,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

## python-osc-lib 2.7.0

=== debian/changelog ===
python-osc-lib (2.7.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048035).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:44:24 +0200

python-osc-lib (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:13:10 +0200

python-osc-lib (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 09:51:48 +0100

## python-osc-lib 2.8.1

=== debian/changelog ===
python-osc-lib (2.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 10:13:00 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/osc-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info doc/source/reference/api
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'osc_lib\.tests\.(?!(.*TestShellCli\.test_shell_args_cert_options.*|.*TestShellCli\.test_shell_args_tls_options.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-osc-lib-doc/usr/share/doc/python-osc-lib-doc/html
	dh_sphinxdoc
endif

## python-osc-lib 3.0.1

=== debian/changelog ===
python-osc-lib (3.0.1-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 16:55:01 +0000

python-osc-lib (2.8.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:51:51 -0400

python-osc-lib (2.8.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:03:11 -0400

python-osc-lib (2.7.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:03:06 -0500

python-osc-lib (2.6.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:08:22 -0400

python-osc-lib (2.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/p/fix-taghelps-py310.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:40:41 -0400

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 3.2.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.15.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests-mock (>= 1.1.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osc-lib
Homepage: http://docs.openstack.org/developer/osc-lib
Testsuite: autopkgtest-pkg-python

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

Package: python3-osc-lib
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 3.2.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-openstacksdk (>= 0.15.0),
 python3-os-client-config (>= 1.28.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

## python-osc-lib 3.1.0

=== debian/changelog ===
python-osc-lib (3.1.0-0ubuntu2~cloud0) noble-dalmatian; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Tue, 20 Aug 2024 08:04:57 +0000

python-osc-lib (3.1.0-0ubuntu2) oracular; urgency=medium

  * d/control: Drop (Build-)Depends on python3-simplejson, no longer
    required.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Aug 2024 12:31:18 +0100

python-osc-lib (3.1.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 14:33:30 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-requests-mock (>= 1.1.0),
- python3-simplejson (>= 3.5.1),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-stestr (>= 1.0.0),
@@ -63,7 +62,6 @@
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-simplejson (>= 3.5.1),
  python3-six (>= 1.10.0),
  python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},

## python-osc-lib 3.2.0

=== requirements.txt ===
--- 
+++ 
@@ -8,5 +8,5 @@
 openstacksdk>=0.15.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-simplejson>=3.5.1 # MIT
+requests>=2.14.2 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0 # BSD

=== debian/changelog ===
python-osc-lib (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:12:11 +0100

python-osc-lib (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 14:12:38 +0100

python-osc-lib (3.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090561).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:17:41 +0100

python-osc-lib (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:28:13 +0200

python-osc-lib (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:51:59 +0200

python-osc-lib (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:21:23 +0200

python-osc-lib (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2024 18:56:01 +0100

python-osc-lib (2.8.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/watch: use version 4 and gitmode.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 09:54:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info doc/source/reference/api

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/osc-lib refs/tags/(\d[brc\d\.]+)

## python-osc-lib 4.1.0

=== debian/changelog ===
python-osc-lib (4.1.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Track Flamingo series releases.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.
  * d/watch: Use opendev as tarball source.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Add Flamingo key verification.
  * d/rules: Include PBR version.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 15 Jul 2025 14:57:39 -0700

python-osc-lib (3.2.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 11:38:54 +0000

## python-osc-lib 4.2.0

=== debian/changelog ===
python-osc-lib (4.2.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:19:47 +0200

python-osc-lib (4.2.0-3) experimental; urgency=medium

  * Add final newline in d/patches/series.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 12:48:25 +0200

python-osc-lib (4.2.0-2) experimental; urgency=medium

  * Add debian/python3-osc-lib.install.
  * Add install-all-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 09:00:21 +0200

python-osc-lib (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:55:55 +0200

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-stestr,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stevedore,
 python3-testtools,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-osc-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-osc-lib.git
Homepage: http://docs.openstack.org/developer/osc-lib

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

Package: python3-osc-lib
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-openstacksdk,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
+	pkgos-dh_auto_install --no-py2 --in-tmp
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## python-osc-lib 4.3.0

=== debian/changelog ===
python-osc-lib (4.3.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 4.3.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)
  * d/p/fix-brittle-tag-help-tests.patch: Add patch for Python 3.14.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 19 Jan 2026 14:26:06 -0800

python-osc-lib (4.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 08:35:16 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://tarballs.opendev.org/openstack/osc-lib/osc_lib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-osc-lib 4.4.0

=== debian/changelog ===
python-osc-lib (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:35:42 +0100

python-osc-lib (4.2.0-5) unstable; urgency=medium

  * Skip shell args tests that are causing FTBFS (Closes: #1123451).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2025 16:14:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info doc/source/reference/api
+	rm -rf build .stestr *.egg-info doc/source/reference/api .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -19,7 +19,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'osc_lib\.tests\.(?!(.*TestShellCli\.test_shell_args_cert_options.*|.*TestShellCli\.test_shell_args_tls_options.*))'
+	pkgos-dh_auto_test --no-py2 'osc_lib\.tests\.(?!(.*TestShellCli\.test_shell_args_cert_options.*|.*TestShellCli\.test_shell_args_tls_options.*|utils\.test_tags\.TestTagHelps\.test_add_tag_filtering_option_to_parser|utils\.test_tags\.TestTagHelps\.test_add_tag_option_to_parser_for_create|utils\.test_tags\.TestTagHelps\.test_add_tag_option_to_parser_for_set|utils\.test_tags\.TestTagHelps\.test_add_tag_option_to_parser_for_unset))'
 endif
 
 override_dh_sphinxdoc:
